#!/bin/sh

LANG=ja_JP.utf8

INSTALL_PATH=`dirname $0`
cd "$INSTALL_PATH"

JAVA_BIN=`which java`
if [ $? -eq 1 ]; then 
#  echo "JAVA not found."
#  read INDATA
  zenity --warning --text="JAVA not found."
  exit 1
fi

nohup $JAVA_BIN -jar ./CheckDeCopy.jar >/dev/null 2>&1 </dev/null &

RUN_APP=`ps aux | grep -v grep | grep -c "java -jar ./CheckDeCopy.jar"`
while [ $RUN_APP = 0 ]
do
  sleep 1
  echo Wait...
  RUN_APP=`ps aux | grep -v grep | grep -c "java -jar ./CheckDeCopy.jar"`
done

#echo Pause.
#read INDATA

exit 0
